%define upstream_name    Dist-Zilla-PluginBundle-Author-DOHERTY
%define upstream_version 0.016

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Configure Dist::Zilla like DOHERTY
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.102.341
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CheckExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::CopyMakefilePLFromBuild) >= 0.1.700
BuildRequires: perl(Dist::Zilla::Plugin::CopyReadmeFromBuild) >= 0.1.700
BuildRequires: perl(Dist::Zilla::Plugin::Git::Check)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Commit)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Tag)
BuildRequires: perl(Dist::Zilla::Plugin::GitHub::Meta) >= 0.60.0
BuildRequires: perl(Dist::Zilla::Plugin::GitHub::Update) >= 0.60.0
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide)
BuildRequires: perl(Dist::Zilla::Plugin::InstallRelease) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl)
BuildRequires: perl(Dist::Zilla::Plugin::OurPkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::SurgicalPodWeaver) >= 0.1.500
BuildRequires: perl(Dist::Zilla::Plugin::Twitter) >= 0.10.0
BuildRequires: perl(Dist::Zilla::PluginBundle::TestingMania)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose) >= 0.990.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Weaver::PluginBundle::Author::DOHERTY) >= 0.4.0
BuildRequires: perl(Pod::Weaver::Section::BugsAndLimitations) >= 1.102.670
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Shorten::IsGd)
BuildRequires: perl(autodie) >= 2.0.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildArch:  noarch

%description
'Dist::Zilla::PluginBundle::Author::DOHERTY' provides shorthand for a the
Dist::Zilla manpage configuration approximate like:

    [Git::Check]
    [@Filter]
    -bundle = @Basic    ; Equivalent to using [@Basic]
    -remove = Readme    ; For use with [CopyReadmeFromBuild]
    -remove = ExtraTests

    [AutoPrereqs]
    [MinimumPerl]
    [Repository]
    [Bugtracker]
    :version = 1.102670 ; To set bugtracker
    web = http://github.com/doherty/%s/issues
    [PodWeaver]
    config_plugin = @DOHERTY
    [InstallGuide]
    [ReadmeFromPod]
    [CopyReadmeFromBuild]
    [CopyMakefilePLFromBuild]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Apr 19 2011 jquelin <jquelin> 0.16.0-1.mga1
+ Revision: 88507
- update to 0.016

* Thu Apr 07 2011 jquelin <jquelin> 0.15.0-1.mga1
+ Revision: 81757
- update to 0.015

* Tue Mar 15 2011 jquelin <jquelin> 0.14.0-1.mga1
+ Revision: 71805
- imported package perl-Dist-Zilla-PluginBundle-Author-DOHERTY


* Tue Mar 15 2011 cpan2dist 0.014-1mga
- initial mageia release, generated with cpan2dist
